iommu/omap: Fix build error with !IOMMU_SUPPORT
authorJoerg Roedel <joerg.roedel@amd.com>
Wed, 14 Sep 2011 14:03:45 +0000 (16:03 +0200)
committerHiroshi DOYU <hdoyu@nvidia.com>
Mon, 23 Jan 2012 09:11:33 +0000 (11:11 +0200)
commit7f42887a91d20ed6ebe793fb02f5b56b7aee8120
tree07a7b35ff01543f7553c234540312d738c266742
parent1c56ebc94c64896343f5e6a7ee8dd03660efa9ee
iommu/omap: Fix build error with !IOMMU_SUPPORT

Without this patch it is possible to select the VIDEO_OMAP3
driver which then selects OMAP_IOVMM. But the omap iommu
driver is not compiled without IOMMU_SUPPORT enabled. Fix
that by forcing OMAP_IOMMU and OMAP_IOVMM are enabled before
VIDEO_OMAP3 can be selected.

Cc: Ohad Ben-Cohen <ohad@wizery.com>
Cc: iommu@lists.linux-foundation.org
Cc: linux-kernel@vger.kernel.org
Signed-off-by: Joerg Roedel <joerg.roedel@amd.com>
drivers/iommu/Kconfig
drivers/media/video/Kconfig